Subject: bug#18967: Tramp disables important SSH security features

From: Ted Zlatanov <[email-masked]>
Date: Thu, 06 Nov 2014 15:59:18 -0500

On Thu, 06 Nov 2014 16:58:24 +0000 Daniel Colascione <[email-masked]> wrote: 

DC> On 11/06/2014 12:05 PM, Ted Zlatanov wrote:
>> On Thu, 06 Nov 2014 00:47:40 +0000 Daniel Colascione <[email-masked]> wrote: 
>> 
DC> Tramp disables SSH host key checks by setting
DC> GlobalKnownHostsFile=/dev/null, UserKnownHostsFile=/dev/null, and
DC> StrictHostKeyChecking=no in its default method configuration. These
DC> settings allow attackers to intercept connections to remote hosts, sniff
DC> passwords, and cause other mischief. I don't think we should ship an
DC> insecure configuration.
>> 
>> I think the alternatives are something like what Ansible does:
>> http://www.ansible.com/blog/2014/01/15/ssh-connection-upgrades-coming-in-ansible-1-5
>> or a SSH client library as a FFI. 

>> SSH, when called externally, has many failure modes without those
>> options.

DC> So let it fail.

You can discuss that with the users and the maintainers and Michael
Albinus.  I was certainly not recommending a course of action.

DC> Since when is it okay to trade diminished security for improved
DC> reliability?

Happiness comes from within?

Ted